<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\Anmeldung\AbwZahlwegDialog;

class AbwZahlwegDialogPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new AbwZahlwegDialogView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new AbwZahlwegDialogViewModel();
    $viewModel->disabled = $this->useCaseResponse->readonly ? 'disabled="disabled"' : '';

    return $viewModel;
  }
}